Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class SystemColor

    java.lang.Object
      |
      +--java.awt.Color
            |
            +--java.awt.SystemColor

All Implemented Interfaces:
  Paint, Serializable, Transparency

public final class SystemColor
extends Color
implements Serializable

A class to encapsulate symbolic colors representing the color of GUI objects on a system. For systems which support the dynamic update of the system colors (when the user changes the colors) the actual RGB values of these symbolic colors will also change dynamically. In order to compare the "current" RGB value of a SystemColor object with a non-symbolic Color object, getRGB() should be used rather than equals().

See Also:
  Serialized Form

Field Summary
`static int` | `ACTIVE_CAPTION` The array index for the active caption background color.
`static int` | `ACTIVE_CAPTION_BORDER` The array index for the active caption border color.
`static int` | `ACTIVE_CAPTION_TEXT` The array index for the action caption text color.
`static SystemColor` | `activeCaption` The background color for captions in window borders.
`static SystemColor` | `activeCaptionBorder` The border color for captions in window borders.
`static SystemColor` | `activeCaptionText` The text color for captions in window borders.
`static SystemColor` | `control` The background color for control objects.
`static int` | `CONTROL` The array index for the control background color.
`static int` | `CONTROL_DK_SHADOW` The array index for the control dark shadow color.
`static int` | `CONTROL_HIGHLIGHT` The array index for the control highlight color.
`static int` | `CONTROL_LT_HIGHLIGHT` The array index for the control light highlight color.
`static int` | `CONTROL_SHADOW` The array index for the control shadow color.
`static int` | `CONTROL_TEXT` The array index for the control text color.
`static SystemColor` | `controlDkShadow` The dark shadow color for control objects.
`static SystemColor` | `controlHighlight` The regular highlight color for control objects.
`static SystemColor` | `controlLtHighlight` The light highlight color for control objects.
`static SystemColor` | `controlShadow` The regular shadow color for control objects.
`static SystemColor` | `controlText` The text color for control objects.
`static SystemColor` | `desktop` The color of the desktop background.
`static int` | `DESKTOP` The array index for the desktop background color.
`static int` | `INACTIVE_CAPTION` The array index for the inactive caption background color.
`static int` | `INACTIVE_CAPTION_BORDER` The array index for the inactive caption border color.
`static int` | `INACTIVE_CAPTION_TEXT` The array index for the inactive caption text color.
`static SystemColor` | `inactiveCaption` The background color for inactive captions in window borders.
`static SystemColor` | `inactiveCaptionBorder` The border color for inactive captios in window borders.
`static SystemColor` | `inactiveCaptionText` The text color for inactive captions in window borders.
`static SystemColor` | `info` The background color for info(help) text.
`static int` | `INFO` The array index for the info background color.
`static int` | `INFO_TEXT` The array index for the info text color.
`static SystemColor` | `infoText` The text color for info(help) text.
`static SystemColor` | `menu` The background color for menus.
`static int` | `MENU` The array index for the menu background color.
`static int` | `MENU_TEXT` The array index for the menu text color.
`static SystemColor` | `menuText` The text color for menus.
`static int` | `NUM_COLORS` The number of system colors in the array.
`static SystemColor` | `scrollbar` The background color for scrollbars.
`static int` | `SCROLLBAR` The array index for the scrollbar background color.
`static SystemColor` | `text` The background color for text components.
`static int` | `TEXT` The array index for the text background color.
`static int` | `TEXT_HIGHLIGHT` The array index for the text highlight color.
`static int` | `TEXT_HIGHLIGHT_TEXT` The array index for the text highlight text color.
`static int` | `TEXT_INACTIVE_TEXT` The array index for the text inactive text color.
`static int` | `TEXT_TEXT` The array index for the text text color.
`static SystemColor` | `textHighlight` The background color for highlighted text.
`static SystemColor` | `textHighlightText` The text color for highlighted text.
`static SystemColor` | `textInactiveText` The text color for inactive text.
`static SystemColor` | `textText` The text color for text components.
`static SystemColor` | `window` The background color for windows.
`static int` | `WINDOW` The array index for the window background color.
`static int` | `WINDOW_BORDER` The array index for the window border color.
`static int` | `WINDOW_TEXT` The array index for the window text color.
`static SystemColor` | `windowBorder` The border color for windows.
`static SystemColor` | `windowText` The text color for windows.

Fields inherited from class java.awt.Color
`black, blue, cyan, darkGray, gray, green, lightGray, magenta, orange, pink, red, white, yellow`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Method Summary
`PaintContext` | `createContext(ColorModel cm, Rectangle r, Rectangle2D r2d, AffineTransform xform, RenderingHints hints)` Create and return a PaintContext used to generate a solid color pattern.
`int` | `getRGB()` Gets the "current" RGB value representing the symbolic color.
`String` | `toString()` Returns the String representation of this Color's values.

Methods inherited from class java.awt.Color
`brighter, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DESKTOP

    public static final int DESKTOP

  The array index for the desktop background color.

### ACTIVE_CAPTION

    public static final int ACTIVE_CAPTION

  The array index for the active caption background color.

### ACTIVE_CAPTION_TEXT

    public static final int ACTIVE_CAPTION_TEXT

  The array index for the action caption text color.

### ACTIVE_CAPTION_BORDER

    public static final int ACTIVE_CAPTION_BORDER

  The array index for the active caption border color.

### INACTIVE_CAPTION

    public static final int INACTIVE_CAPTION

  The array index for the inactive caption background color.

### INACTIVE_CAPTION_TEXT

    public static final int INACTIVE_CAPTION_TEXT

  The array index for the inactive caption text color.

### INACTIVE_CAPTION_BORDER

    public static final int INACTIVE_CAPTION_BORDER

  The array index for the inactive caption border color.

### WINDOW

    public static final int WINDOW

  The array index for the window background color.

### WINDOW_BORDER

    public static final int WINDOW_BORDER

  The array index for the window border color.

### WINDOW_TEXT

    public static final int WINDOW_TEXT

  The array index for the window text color.

### MENU

    public static final int MENU

  The array index for the menu background color.

### MENU_TEXT

    public static final int MENU_TEXT

  The array index for the menu text color.

### TEXT

    public static final int TEXT

  The array index for the text background color.

### TEXT_TEXT

    public static final int TEXT_TEXT

  The array index for the text text color.

### TEXT_HIGHLIGHT

    public static final int TEXT_HIGHLIGHT

  The array index for the text highlight color.

### TEXT_HIGHLIGHT_TEXT

    public static final int TEXT_HIGHLIGHT_TEXT

  The array index for the text highlight text color.

### TEXT_INACTIVE_TEXT

    public static final int TEXT_INACTIVE_TEXT

  The array index for the text inactive text color.

### CONTROL

    public static final int CONTROL

  The array index for the control background color.

### CONTROL_TEXT

    public static final int CONTROL_TEXT

  The array index for the control text color.

### CONTROL_HIGHLIGHT

    public static final int CONTROL_HIGHLIGHT

  The array index for the control highlight color.

### CONTROL_LT_HIGHLIGHT

    public static final int CONTROL_LT_HIGHLIGHT

  The array index for the control light highlight color.

### CONTROL_SHADOW

    public static final int CONTROL_SHADOW

  The array index for the control shadow color.

### CONTROL_DK_SHADOW

    public static final int CONTROL_DK_SHADOW

  The array index for the control dark shadow color.

### SCROLLBAR

    public static final int SCROLLBAR

  The array index for the scrollbar background color.

### INFO

    public static final int INFO

  The array index for the info background color.

### INFO_TEXT

    public static final int INFO_TEXT

  The array index for the info text color.

### NUM_COLORS

    public static final int NUM_COLORS

  The number of system colors in the array.

### desktop

    public static final SystemColor desktop

  The color of the desktop background.

### activeCaption

    public static final SystemColor activeCaption

  The background color for captions in window borders.

### activeCaptionText

    public static final SystemColor activeCaptionText

  The text color for captions in window borders.

### activeCaptionBorder

    public static final SystemColor activeCaptionBorder

  The border color for captions in window borders.

### inactiveCaption

    public static final SystemColor inactiveCaption

  The background color for inactive captions in window borders.

### inactiveCaptionText

    public static final SystemColor inactiveCaptionText

  The text color for inactive captions in window borders.

### inactiveCaptionBorder

    public static final SystemColor inactiveCaptionBorder

  The border color for inactive captios in window borders.

### window

    public static final SystemColor window

  The background color for windows.

### windowBorder

    public static final SystemColor windowBorder

  The border color for windows.

### windowText

    public static final SystemColor windowText

  The text color for windows.

### menu

    public static final SystemColor menu

  The background color for menus.

### menuText

    public static final SystemColor menuText

  The text color for menus.

### text

    public static final SystemColor text

  The background color for text components.

### textText

    public static final SystemColor textText

  The text color for text components.

### textHighlight

    public static final SystemColor textHighlight

  The background color for highlighted text.

### textHighlightText

    public static final SystemColor textHighlightText

  The text color for highlighted text.

### textInactiveText

    public static final SystemColor textInactiveText

  The text color for inactive text.

### control

    public static final SystemColor control

  The background color for control objects.

### controlText

    public static final SystemColor controlText

  The text color for control objects.

### controlHighlight

    public static final SystemColor controlHighlight

  The regular highlight color for control objects.

### controlLtHighlight

    public static final SystemColor controlLtHighlight

  The light highlight color for control objects.

### controlShadow

    public static final SystemColor controlShadow

  The regular shadow color for control objects.

### controlDkShadow

    public static final SystemColor controlDkShadow

  The dark shadow color for control objects.

### scrollbar

    public static final SystemColor scrollbar

  The background color for scrollbars.

### info

    public static final SystemColor info

  The background color for info(help) text.

### infoText

    public static final SystemColor infoText

  The text color for info(help) text.

Method Detail

### getRGB

    public int getRGB()

  Gets the "current" RGB value representing the symbolic color. (Bits 24-31 are 0xff, 16-23 are red, 8-15 are green, 0-7 are blue).
  Overrides:
    `getRGB` in class `Color`
  See Also:
    `ColorModel.getRGBdefault()`, `Color.getBlue()`, `Color.getGreen()`, `Color.getRed()`

### createContext

    public PaintContext createContext(ColorModel cm,
                                      Rectangle r,
                                      Rectangle2D r2d,
                                      AffineTransform xform,
                                      RenderingHints hints)

  Create and return a PaintContext used to generate a solid color pattern. This enables a Color object to be used as an argument to any method requiring an object implementing the Paint interface.
  Overrides:
    `createContext` in class `Color`
  See Also:
    `Paint`, `PaintContext`, `Graphics2D.setPaint(java.awt.Paint)`

### toString

    public String toString()

  Returns the String representation of this Color's values.
  Overrides:
    `toString` in class `Color`
  Following copied from class: `java.awt.Color`
  Returns:
    a string representation of this `Color`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.